package ability3156

import (
	"errors"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk"
	request2 "git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/request"
	response2 "git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/response"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals"
	"log"
)

type Ability3156 struct {
	Client *topsdk.TopClient
}

func NewAbility3156(client *topsdk.TopClient) *Ability3156 {
	return &Ability3156{client}
}

/*
   商家会员数据上传
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantUserUpload(req *request2.AlibabaTclsAelophyMerchantUserUploadRequest, session string) (*response2.AlibabaTclsAelophyMerchantUserUploadResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.user.upload", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantUserUploadResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantUserUpload error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   仓作业取消下发
*/
func (ability *Ability3156) WdkWarehouseOrderCancel(req *request2.WdkWarehouseOrderCancelRequest, session string) (*response2.WdkWarehouseOrderCancelResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("wdk.warehouse.order.cancel", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.WdkWarehouseOrderCancelResponse{}
	if err != nil {
		log.Println("wdkWarehouseOrderCancel error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   仓作业下发
*/
func (ability *Ability3156) WdkWarehouseOrderDispatch(req *request2.WdkWarehouseOrderDispatchRequest, session string) (*response2.WdkWarehouseOrderDispatchResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("wdk.warehouse.order.dispatch", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.WdkWarehouseOrderDispatchResponse{}
	if err != nil {
		log.Println("wdkWarehouseOrderDispatch error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象ERP核销回调
*/
func (ability *Ability3156) AlibabaTclsAelophyBillVerificateCallback(req *request2.AlibabaTclsAelophyBillVerificateCallbackRequest) (*response2.AlibabaTclsAelophyBillVerificateCallbackResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.Execute("alibaba.tcls.aelophy.bill.verificate.callback", req.ToMap(), req.ToFileMap())
	var respStruct = response2.AlibabaTclsAelophyBillVerificateCallbackResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyBillVerificateCallback error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   更新渠道店营业状态
*/
func (ability *Ability3156) AlibabaAelophyShopUpdatestatus(req *request2.AlibabaAelophyShopUpdatestatusRequest, session string) (*response2.AlibabaAelophyShopUpdatestatusResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.aelophy.shop.updatestatus", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaAelophyShopUpdatestatusResponse{}
	if err != nil {
		log.Println("alibabaAelophyShopUpdatestatus error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   更新渠道店基础信息
*/
func (ability *Ability3156) AlibabaAelophyShopUpdateinfo(req *request2.AlibabaAelophyShopUpdateinfoRequest, session string) (*response2.AlibabaAelophyShopUpdateinfoResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.aelophy.shop.updateinfo", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaAelophyShopUpdateinfoResponse{}
	if err != nil {
		log.Println("alibabaAelophyShopUpdateinfo error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	globals.SugarLogger.Debugf("ShopUpdateinfo respStruct=%s", utils.Format4Output(&respStruct, false))
	return &respStruct, err
}

/*
   更新渠道店销售范围
*/
func (ability *Ability3156) AlibabaAelophyShopUpdaterange(req *request2.AlibabaAelophyShopUpdaterangeRequest, session string) (*response2.AlibabaAelophyShopUpdaterangeResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.aelophy.shop.updaterange", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaAelophyShopUpdaterangeResponse{}
	if err != nil {
		log.Println("alibabaAelophyShopUpdaterange error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	globals.SugarLogger.Debugf("ShopUpdaterange respStruct=%s", utils.Format4Output(&respStruct, false))
	return &respStruct, err
}

/*
   商家代客售后逆向申请渲染获取
*/
func (ability *Ability3156) AlibabaTclsAelophyRefundCsapplyrender(req *request2.AlibabaTclsAelophyRefundCsapplyrenderRequest, session string) (*response2.AlibabaTclsAelophyRefundCsapplyrenderResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.refund.csapplyrender", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyRefundCsapplyrenderResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyRefundCsapplyrender error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   商家代客售后提交逆向申请
*/
func (ability *Ability3156) AlibabaTclsAelophyRefundCsapply(req *request2.AlibabaTclsAelophyRefundCsapplyRequest, session string) (*response2.AlibabaTclsAelophyRefundCsapplyResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.refund.csapply", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyRefundCsapplyResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyRefundCsapply error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱翔经营店更新接口
*/
func (ability *Ability3156) AlibabaWdkAxStoreUpdate(req *request2.AlibabaWdkAxStoreUpdateRequest, session string) (*response2.AlibabaWdkAxStoreUpdateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.ax.store.update", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaWdkAxStoreUpdateResponse{}
	if err != nil {
		log.Println("alibabaWdkAxStoreUpdate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象经营店创建接口
*/
func (ability *Ability3156) AlibabaWdkAxStoreCreate(req *request2.AlibabaWdkAxStoreCreateRequest, session string) (*response2.AlibabaWdkAxStoreCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.ax.store.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaWdkAxStoreCreateResponse{}
	if err != nil {
		log.Println("alibabaWdkAxStoreCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象经营店查询接口
*/
func (ability *Ability3156) AlibabaWdkAxStoreQuery(req *request2.AlibabaWdkAxStoreQueryRequest, session string) (*response2.AlibabaWdkAxStoreQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.ax.store.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaWdkAxStoreQueryResponse{}
	if err != nil {
		log.Println("alibabaWdkAxStoreQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   创单接口
*/
func (ability *Ability3156) AlibabaTclsFulfillQaOrderCreate(req *request2.AlibabaTclsFulfillQaOrderCreateRequest) (*response2.AlibabaTclsFulfillQaOrderCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.Execute("alibaba.tcls.fulfill.qa.order.create", req.ToMap(), req.ToFileMap())
	var respStruct = response2.AlibabaTclsFulfillQaOrderCreateResponse{}
	if err != nil {
		log.Println("alibabaTclsFulfillQaOrderCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   cps正向分销订单批量回流
*/
func (ability *Ability3156) AlibabaWdkorderSharestockCpsorderList(req *request2.AlibabaWdkorderSharestockCpsorderListRequest, session string) (*response2.AlibabaWdkorderSharestockCpsorderListResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdkorder.sharestock.cpsorder.list", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaWdkorderSharestockCpsorderListResponse{}
	if err != nil {
		log.Println("alibabaWdkorderSharestockCpsorderList error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   商家用户id混淆
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantIdMix(req *request2.AlibabaTclsAelophyMerchantIdMixRequest, session string) (*response2.AlibabaTclsAelophyMerchantIdMixResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.id.mix", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantIdMixResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantIdMix error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   获取运力时间片信息
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelOrderSliceget(req *request2.AlibabaTclsAelophyMerchantChannelOrderSlicegetRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelOrderSlicegetResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.order.sliceget", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelOrderSlicegetResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelOrderSliceget error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   前置校验商品是否可下单作业
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelOrderPrecheck(req *request2.AlibabaTclsAelophyMerchantChannelOrderPrecheckRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelOrderPrecheckResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.order.precheck", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelOrderPrecheckResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelOrderPrecheck error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象商家自有渠道 逆向单申请
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelRefundApply(req *request2.AlibabaTclsAelophyMerchantChannelRefundApplyRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelRefundApplyResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.refund.apply", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelRefundApplyResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelRefundApply error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象商家自有渠道 订单创建
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelOrderCreate(req *request2.AlibabaTclsAelophyMerchantChannelOrderCreateRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelOrderCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.order.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelOrderCreateResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelOrderCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象商家自有渠道 逆向单完成
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelRefundComplete(req *request2.AlibabaTclsAelophyMerchantChannelRefundCompleteRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelRefundCompleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.refund.complete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelRefundCompleteResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelRefundComplete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象商家自有渠道 逆向单申请取消
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelRefundCancel(req *request2.AlibabaTclsAelophyMerchantChannelRefundCancelRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelRefundCancelResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.refund.cancel", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelRefundCancelResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelRefundCancel error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象商家自有渠道 订单状态更新
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelOrderUpdatestatus(req *request2.AlibabaTclsAelophyMerchantChannelOrderUpdatestatusRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelOrderUpdatestatusResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.order.updatestatus", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelOrderUpdatestatusResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelOrderUpdatestatus error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象商家自有渠道 交易订单取消
*/
func (ability *Ability3156) AlibabaTclsAelophyMerchantChannelOrderCancel(req *request2.AlibabaTclsAelophyMerchantChannelOrderCancelRequest, session string) (*response2.AlibabaTclsAelophyMerchantChannelOrderCancelResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.merchant.channel.order.cancel", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyMerchantChannelOrderCancelResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyMerchantChannelOrderCancel error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   订单小票查询
*/
func (ability *Ability3156) AlibabaTclsAelophyOrderReceiptQuery(req *request2.AlibabaTclsAelophyOrderReceiptQueryRequest, session string) (*response2.AlibabaTclsAelophyOrderReceiptQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.order.receipt.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyOrderReceiptQueryResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyOrderReceiptQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   DP功能点权限校验
*/
func (ability *Ability3156) AlibabaTclsAxIntegrationPermission(req *request2.AlibabaTclsAxIntegrationPermissionRequest, session string) (*response2.AlibabaTclsAxIntegrationPermissionResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.ax.integration.permission", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAxIntegrationPermissionResponse{}
	if err != nil {
		log.Println("alibabaTclsAxIntegrationPermission error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   账单明细接口
*/
func (ability *Ability3156) AlibabaTclsAelophyBillDetailQuery(req *request2.AlibabaTclsAelophyBillDetailQueryRequest, session string) (*response2.AlibabaTclsAelophyBillDetailQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.bill.detail.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyBillDetailQueryResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyBillDetailQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   账单日汇总接口
*/
func (ability *Ability3156) AlibabaTclsAelophyBillDailyQuery(req *request2.AlibabaTclsAelophyBillDailyQueryRequest, session string) (*response2.AlibabaTclsAelophyBillDailyQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.bill.daily.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyBillDailyQueryResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyBillDailyQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   代客退
*/
func (ability *Ability3156) AlibabaTclsAelophyRefundCsapplyNew(req *request2.AlibabaTclsAelophyRefundCsapplyNewRequest, session string) (*response2.AlibabaTclsAelophyRefundCsapplyNewResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.refund.csapply.new", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyRefundCsapplyNewResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyRefundCsapplyNew error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象出仓回传
*/
func (ability *Ability3156) AlibabaAxWarehouseOutboundCallback(req *request2.AlibabaAxWarehouseOutboundCallbackRequest, session string) (*response2.AlibabaAxWarehouseOutboundCallbackResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.ax.warehouse.outbound.callback", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaAxWarehouseOutboundCallbackResponse{}
	if err != nil {
		log.Println("alibabaAxWarehouseOutboundCallback error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   翱象入库回传
*/
func (ability *Ability3156) AlibabaAxWarehouseInboundCallback(req *request2.AlibabaAxWarehouseInboundCallbackRequest, session string) (*response2.AlibabaAxWarehouseInboundCallbackResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.ax.warehouse.inbound.callback", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaAxWarehouseInboundCallbackResponse{}
	if err != nil {
		log.Println("alibabaAxWarehouseInboundCallback error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   ISV用户录入
*/
func (ability *Ability3156) AlibabaTclsAxIntegrationAccountImport(req *request2.AlibabaTclsAxIntegrationAccountImportRequest, session string) (*response2.AlibabaTclsAxIntegrationAccountImportResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.ax.integration.account.import", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAxIntegrationAccountImportResponse{}
	if err != nil {
		log.Println("alibabaTclsAxIntegrationAccountImport error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   saas 售后逆向 商户拒绝用户逆向申请
*/
func (ability *Ability3156) AlibabaTclsAelophyRefundDisagree(req *request2.AlibabaTclsAelophyRefundDisagreeRequest, session string) (*response2.AlibabaTclsAelophyRefundDisagreeResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.refund.disagree", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyRefundDisagreeResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyRefundDisagree error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   saas 售后逆向 商户同意用户逆向申请
*/
func (ability *Ability3156) AlibabaTclsAelophyRefundAgree(req *request2.AlibabaTclsAelophyRefundAgreeRequest, session string) (*response2.AlibabaTclsAelophyRefundAgreeResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.refund.agree", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyRefundAgreeResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyRefundAgree error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   saas 售后逆向 商户发起逆向取货
*/
func (ability *Ability3156) AlibabaTclsAelophyRefundFetchgoods(req *request2.AlibabaTclsAelophyRefundFetchgoodsRequest, session string) (*response2.AlibabaTclsAelophyRefundFetchgoodsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability3156 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.tcls.aelophy.refund.fetchgoods", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response2.AlibabaTclsAelophyRefundFetchgoodsResponse{}
	if err != nil {
		log.Println("alibabaTclsAelophyRefundFetchgoods error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}
